Namespace
library
Image / Tag
consul:1.7.1
Content Digest
sha256:3e064c7f96231a95677a7d7af603ef99a8ca4d63d46a70e25de794c9fc392ea2
Details
Created

2020-02-21 03:21:12 UTC

Size

40.8 MB

Content Digest
Environment
CONSUL_VERSION

1.7.1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:fd25584d30bfc37afa2d99f41ef0a7055a4f2923907582dd992194fb4aa13f1c - 6.47% (2.64 MB)

[#001] sha256:f68cde75e14d420dbf55729a17806c325e59bc73d03cb77199726523625482d3 - 0.0% (1.23 KB)

[#002] sha256:47533f8349eba4e96a10594e09cfae0519e59c33524f5de87700312123016e40 - 93.52% (38.2 MB)

[#003] sha256:3f42fc0950658d4560e0bc60aaac04d6158609dea0db3f0cbfe9b27303ba506f - 0.0% (143 Bytes)

[#004] sha256:0612b9a4ef3ad88c4f216df360aaff20780125d98168e8aa1eee0b18566d53b5 - 0.0% (153 Bytes)

[#005] sha256:def67436b212474916eaf3ea72beeaec8b613d9c20f3ccf3fc342b5cd78218aa - 0.0% (1.67 KB)


History
2020-01-23 16:53:05 UTC

/bin/sh -c #(nop) ADD file:4e7195ad2b3e9b85e4596b4a73719eb294f2a293a05b7b8e6096c4cfac0c6fde in /

2020-01-23 16:53:05 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-01-23 17:57:03 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-02-21 03:20:56 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.1

2020-02-21 03:20:56 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-02-21 03:20:57 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-02-21 03:21:07 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-02-21 03:21:08 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-02-21 03:21:10 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-02-21 03:21:10 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-02-21 03:21:10 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-02-21 03:21:11 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-02-21 03:21:11 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-02-21 03:21:11 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-02-21 03:21:11 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-02-21 03:21:12 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-02-21 02:36:20 UTC

Size

42 MB

Content Digest
Environment
CONSUL_VERSION

1.7.1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:9123ac7c32f74759e6283f04dbf571f18246abe5bb2c779efcb32cd50f3ff13c - 6.28% (2.64 MB)

[#001] sha256:e86f60c5bca76e950740e5a986a1537ba8e3311fffe54185fc18f2bb0dfad9cd - 0.0% (1.23 KB)

[#002] sha256:797d2b209b117f4c985f728d83624a5d62001eb9e6da653ba2521b130ecd2221 - 93.71% (39.3 MB)

[#003] sha256:d0c8a484f6b6ccc492a54df7cd2b7c5da0468440f6034086c82d40f8e8848d47 - 0.0% (143 Bytes)

[#004] sha256:f6170620a1ae470143e85414589e778211d954243726e6949f022a3cc4e5646a - 0.0% (154 Bytes)

[#005] sha256:1cf6b979311c34b048554e301a733269a8809de7b5715467b852abba021e988d - 0.0% (1.67 KB)


History
2020-01-23 16:53:17 UTC

/bin/sh -c #(nop) ADD file:f4f85ec73d7cc949662413419f8eafb31dabaa6e12cd21b7c8d5a9ef0d5b9681 in /

2020-01-23 16:53:17 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-01-23 17:15:11 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-02-21 02:36:06 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.1

2020-02-21 02:36:06 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-02-21 02:36:07 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-02-21 02:36:15 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-02-21 02:36:16 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-02-21 02:36:17 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-02-21 02:36:18 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-02-21 02:36:18 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-02-21 02:36:18 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-02-21 02:36:19 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-02-21 02:36:19 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-02-21 02:36:19 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-02-21 02:36:20 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-02-20 23:16:25 UTC

Size

39.4 MB

Content Digest
Environment
CONSUL_VERSION

1.7.1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:1c8737e28b1ca4452315b0127f7c6f4ad64f0c4695a3b52b1a4a3d2d17d3bbd5 - 6.16% (2.43 MB)

[#001] sha256:8421293b9877ae0b483f9e344fe80709ed8dfb64853bad4b78efffc47aed58b4 - 0.0% (1.25 KB)

[#002] sha256:4bdbd63f2a182265619dd0cc3b5da7cd87abf9906d105f533fb2b7b8d99a2d0e - 93.83% (37 MB)

[#003] sha256:81f0ae0374f7366aa02e05b88272653d9180227a2f0f01194a45fe48409de245 - 0.0% (176 Bytes)

[#004] sha256:8e823e59fb22c00dd2a8d7eac702daae01b4de634259d076d48bd4a1e75edcb0 - 0.0% (154 Bytes)

[#005] sha256:13c92ce8012293b1822eb152fbd2558cfc63874ef648dc3608dcc5c8d176e310 - 0.0% (1.67 KB)


History
2020-01-23 16:53:38 UTC

/bin/sh -c #(nop) ADD file:7e840db4b1f91900bcc3693359908c82f531fc44027d4d5327ef598e8710ed0f in /

2020-01-23 16:53:40 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-01-23 17:12:38 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-02-20 23:15:59 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.1

2020-02-20 23:16:00 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-02-20 23:16:02 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-02-20 23:16:12 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-02-20 23:16:14 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-02-20 23:16:16 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-02-20 23:16:18 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-02-20 23:16:19 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-02-20 23:16:20 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-02-20 23:16:21 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-02-20 23:16:22 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-02-20 23:16:24 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-02-20 23:16:25 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2020-02-21 00:41:47 UTC

Size

39.8 MB

Content Digest
Environment
CONSUL_VERSION

1.7.1

HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:eb93038481ddcf86a625b70f7551cdc583e38886f206fe7e40ad644008efa815 - 6.46% (2.57 MB)

[#001] sha256:3df75259228b427b9031eaf53b2495684d0e175f0436efd3dc5e1bec240a6d3c - 0.0% (1.25 KB)

[#002] sha256:149ab041040b080f0f747ab8e41837d45cf0d2561bce5ea0521847906bc30626 - 93.54% (37.2 MB)

[#003] sha256:c6331da0196403c1397dd5c7197f57e8c00c85d0d6a42cd1bd14d77d08f62a7b - 0.0% (175 Bytes)

[#004] sha256:3e38937503ec7eb499eeadd311ace58b21409e90d898665971f3ec857b8bbe67 - 0.0% (153 Bytes)

[#005] sha256:5a6e1a93a97776d8b3877fdf5e5aec696f3fa9d5bd263cb5b63f7cfcb5e6490f - 0.0% (1.66 KB)


History
2020-01-23 16:54:58 UTC

/bin/sh -c #(nop) ADD file:92767b5525acd9dbf8657931d32bdcc7cc504cdc33c95e84a75e478b00569bab in /

2020-01-23 16:54:59 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2020-01-23 17:19:49 UTC

/bin/sh -c #(nop) MAINTAINER Consul Team <consul@hashicorp.com>

2020-02-21 00:41:16 UTC

/bin/sh -c #(nop) ENV CONSUL_VERSION=1.7.1

2020-02-21 00:41:17 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2020-02-21 00:41:22 UTC

/bin/sh -c addgroup consul && adduser -S -G consul consul

2020-02-21 00:41:32 UTC

/bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat && gpg --keyserver pgp.mit.edu --recv-keys 91A6E7F85D05C65630BEF18951852D87348FFC4C && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='armhfv6' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /bin consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cd /tmp && rm -rf /tmp/build && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2020-02-21 00:41:36 UTC

/bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2020-02-21 00:41:38 UTC

/bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2020-02-21 00:41:39 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2020-02-21 00:41:40 UTC

/bin/sh -c #(nop) EXPOSE 8300

2020-02-21 00:41:40 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2020-02-21 00:41:41 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2020-02-21 00:41:42 UTC

/bin/sh -c #(nop) COPY file:247b557dfc58d59b4f83bd2bd196c7a03ff835064b0d7fef7dfe91b84120ff30 in /usr/local/bin/docker-entrypoint.sh

2020-02-21 00:41:44 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2020-02-21 00:41:47 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]